{
  "typescript.tsdk": "node_modules/typescript/lib",
  "eslint.format.enable": true,
  "eslint.codeActionsOnSave.mode": "all",
  "css.lint.validProperties": ["composes"],
  "css.format.spaceAroundSelectorSeparator": true,
  "[css]": {
    "editor.suggest.insertMode": "replace",
    "gitlens.codeLens.scopes": ["document"],
    "editor.formatOnSave": true,
    "editor.defaultFormatter": "vscode.css-language-features",
  },
  "[javascript]": {
    "editor.formatOnSave": false,
    "editor.codeActionsOnSave": {
      "source.fixAll.eslint": true
    }
  },
  "[javascriptreact]": {
    "editor.formatOnSave": false,
    "editor.codeActionsOnSave": {
      "source.fixAll.eslint": true
    }
  },
  "[typescript]": {
    "editor.formatOnSave": false,
    "editor.codeActionsOnSave": {
      "source.fixAll.eslint": true
    }
  },
  "[typescriptreact]": {
    "editor.formatOnSave": false,
    "editor.codeActionsOnSave": {
      "source.fixAll.eslint": true
    }
  },
  "python.linting.pylintEnabled": true,
  "python.linting.enabled": true,
  "files.exclude": {
    "node_modules": true
  },
  "editor.tabSize": 2,
  "files.eol": "\n",
  "[markdown]": {
    "editor.wordWrap": "on",
    "editor.quickSuggestions": {
      "comments": "off",
      "strings": "off",
      "other": "off"
    },
    "editor.tabSize": 4
  }
}
